## process this file with automake to produce Makefile.in

# disable -I. -I$(srcdir) which makes g++ include util/String.h instead of the system string.h header
# on MacOSX (no case sensitive file system!)
AUTOMAKE_OPTIONS   = nostdinc

AM_CPPFLAGS        = @APR_CPPFLAGS@ @STLPORT_INCLUDES@ @APR_INCLUDES@ @APU_INCLUDES@ @BOOST_INCLUDES@
AM_CXXFLAGS        = @MACOSX_UNIVERSAL_CXXFLAGS@ -iquote. -iquote$(srcdir) -I$(top_builddir)
AM_LDFLAGS         = @MACOSX_UNIVERSAL_LDFLAGS@

noinst_LIBRARIES   = libutil.a

noinst_HEADERS     = Char.h \
                     CommandArgs.h \
                     Compare.h \
                     Condition.h \
                     ErrorCodes.h \
                     Error.h \
                     ErrorImpl.h \
                     Exception.h \
                     ExceptionStack.h \
                     File.h \
                     FileData.h \
                     iconvstream.h \
                     Id.h \
                     max.h \
                     Memory.h \
                     Mutex.h \
                     Stackframe.h \
                     String.h \
                     types.h \
                     utf.h \
                     utf8.h \
                     uuid.h 

libutil_a_SOURCES  = apr.h \
                     apr.cpp \
                     AprError.h \
                     AprError.cpp \
                     AprException.cpp \
                     CommandArgs.cpp \
                     Compare.cpp \
                     Condition.cpp \
                     ErrorCodes.cpp \
                     Error.cpp \
                     ErrorImpl.cpp \
                     File.cpp \
                     FileData.cpp \
                     Id.cpp \
                     Mutex.cpp \
                     Stackframe.cpp \
                     String.cpp \
                     utf.cpp \
                     utf8.cpp \
                     uuid.cpp 
